For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesWhite-labelAPI Reference
GuidesWhite-labelAPI Reference
  • Panic API Reference
      • GETList fixed locations
      • POSTCreate a fixed location
      • GETGet a fixed location
      • PUTUpdate a fixed location
      • DELDelete a fixed location
      • POSTRaise a fixed-location callout
    • Errors & status codes
LogoLogo
Panic API ReferenceFixed Locations

Get a fixed location

GET
/panic-api/v2/predefinedLocations/:id
GET
/panic-api/v2/predefinedLocations/:id
$curl https://staging-panic.aura.services/panic-api/v2/predefinedLocations/99001 \
> -H "Authorization: Bearer <token>"
1{
2 "id": 99001,
3 "name": "Long Street Store",
4 "externalReferenceId": "STORE-001",
5 "latitude": -33.9249,
6 "longitude": 18.4241,
7 "customerId": 1
8}
Retrieves one fixed location by ID.
Was this page helpful?
Previous

Update a fixed location

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired
Fixed location identifier.

Response

Fixed location.
idinteger
namestring
externalReferenceIdstring
latitudedouble
longitudedouble
customerIdinteger or null

Errors

401
Unauthorized Error
404
Not Found Error